/* Auteur: Nicolas JANEY          */
/* nicolas.janey@univ-fcomte.fr   */
/* Fevrier 2005                   */

public class InitTableauIndice {
  
  public static void initTableauIndice(int [] t) {
    int i;
    for ( i = 0 ; i < t.length ; i++ )
      t[i] = i;
  }
  
  public static void afficheTableau(int [] t) {
    int i;
    for ( i = 0 ; i < t.length ; i++ )
      System.out.print(t[i]+" ");
    System.out.println();
  }
  
  /* Fonction principale                                  */

  public static void main(String [] args) {
    int [] t1 = new int[5];
    int [] t2 = new int[10];
    initTableauIndice(t1);
    initTableauIndice(t2);
    afficheTableau(t1);
    afficheTableau(t2);
  }
}